## ros-melodic-rc-pick-client 3.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(rc_pick_client)
include(cmake/project_version.cmake)


# - Configuration for code optimization -

if (NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE RELEASE CACHE STRING "Build type: DEBUG or RELEASE" FORCE)
endif ()

# - Standard definitions -

if (CMAKE_MAJOR_VERSION VERSION_LESS "3.1.0")
    add_definitions(-std=c++11)
else ()
    set(CMAKE_CXX_STANDARD 11)
endif ()
add_definitions(-Wall)

add_subdirectory(opt)
# add a target for the submodule CPR doing the REST api calls

find_package(catkin REQUIRED COMPONENTS
        roscpp message_generation std_srvs geometry_msgs dynamic_reconfigure shape_msgs visualization_msgs tf
        rc_common_msgs tf2_geometry_msgs
  )

## System dependencies are found with CMake's conventions
find_package(RCDISCOVER REQUIRED)

################################################
## Declare ROS messages, services and actions ##
################################################

## Generate messages in the 'msg' folder
add_message_files(FILES
        Box.msg
        CellFillingLevel.msg
        CollisionDetection.msg
        Compartment.msg
        GridSize.msg
        Item.msg
        ItemModel.msg
        LoadCarrier.msg
        LoadCarrierWithFillingLevel.msg
        RangeBox.msg
        RangeRectangle.msg
        RangeValue.msg
        Rectangle.msg
        RegionOfInterest.msg
        SuctionGrasp.msg
)

# Generate services in the 'srv' folder
add_service_files(FILES
        ComputeBoxGrasps.srv
        ComputeGrasps.srv
        DeleteLoadCarriers.srv
        DeleteRegionsOfInterest.srv
        DetectFillingLevel.srv
        DetectItems.srv
        DetectLoadCarriers.srv
        GetLoadCarriers.srv
        GetRegionsOfInterest.srv
        SetLoadCarrier.srv
        SetRegionOfInterest.srv
)

# Generate added messages and services with any dependencies listed here
generate_messages(
        DEPENDENCIES
        geometry_msgs
        shape_msgs
        rc_common_msgs

)

################################################
## Declare ROS dynamic reconfigure parameters ##
################################################

# Generate dynamic reconfigure parameters in the 'cfg' folder
generate_dynamic_reconfigure_options(cfg/pickModule.cfg)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
        CATKIN_DEPENDS message_runtime geometry_msgs rc_common_msgs
)

###########
## Build ##
###########

include_directories(
        ${catkin_INCLUDE_DIRS}
        ${CPR_INCLUDE_DIRS}
        ${JSON_INCLUDE_DIRS}
)


## Declare a cpp executable

set(common_pick_src
        src/rc_pick_client_node.cpp
        src/itempick_client.cpp
        src/boxpick_client.cpp
        src/rest_helper.cpp
        src/visualization.cpp
        src/pick_client.cpp
        )

add_executable(rc_itempick_client_node ${common_pick_src})
target_compile_definitions(rc_itempick_client_node PRIVATE -DPICK_TYPE="rc_itempick")
add_executable(rc_boxpick_client_node ${common_pick_src})
target_compile_definitions(rc_boxpick_client_node PRIVATE -DPICK_TYPE="rc_boxpick")

## Add cmake target dependencies of the executable/library
## as an example, message headers may need to be generated before nodes
add_dependencies(rc_itempick_client_node rc_pick_client_generate_messages_cpp ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
add_dependencies(rc_itempick_client_node rc_pick_client_gencfg)
add_dependencies(rc_boxpick_client_node rc_pick_client_generate_messages_cpp ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
add_dependencies(rc_boxpick_client_node rc_pick_client_gencfg)

## Specify libraries to link a library or executable target against
target_link_libraries(rc_itempick_client_node
        ${catkin_LIBRARIES}
        ${CPR_LIBRARIES}
        rcdiscover::rcdiscover
        )
target_link_libraries(rc_boxpick_client_node
        ${catkin_LIBRARIES}
        ${CPR_LIBRARIES}
        rcdiscover::rcdiscover
        )

#############
## Install ##
#############

# Mark executables and/or libraries for installation
install(TARGETS rc_itempick_client_node
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
        )
install(TARGETS rc_boxpick_client_node
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
        )

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_logging.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

######################################
## Define information for packaging ##
######################################
# optionally specify dependencies of the debian package here (comma separated!)
#set(CPACK_DEBIAN_PACKAGE_DEPENDS "cvkit (>= 1.7.0), ros-$ENV{ROS_DISTRO}-rc-imagecommon")
include(cmake/package_debian.cmake)

=== debian/changelog ===
ros-melodic-rc-pick-client (3.1.0-2stretch) stretch; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 16 Nov 2020 23:00:00 -0000

ros-melodic-rc-pick-client (3.0.5-2stretch) stretch; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 19 Oct 2020 22:00:00 -0000

ros-melodic-rc-pick-client (3.0.4-2stretch) stretch; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 22 Sep 2020 22:00:00 -0000

ros-melodic-rc-pick-client (3.0.3-2stretch) stretch; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 21 Sep 2020 22:00:00 -0000

ros-melodic-rc-pick-client (3.0.1-2stretch) stretch; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 13 May 2020 22:00:00 -0000

ros-melodic-rc-pick-client (3.0.0-2stretch) stretch; urgency=high

  * refactoring and cleanup
  * add overfilled flag and detect_filling_level
  * cleanup/consolidate messages
  * new field collsion check added
  * update cpr for support of curl >= 7.62.0
    and set EXCLUDE_FROM_ALL to not install it
  * update nlohmann json to 3.7.3
  * Contributors: Felix Ruess, florek

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 12 May 2020 22:00:00 -0000

ros-melodic-rc-pick-client (2.7.0-2stretch) stretch; urgency=high

  * add BoxPick client rc_boxpick_client_node
  * add device parameter that can take serial number or GEV name
    (has precedence over old host parameter)

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 18 Jul 2019 22:00:00 -0000

ros-melodic-rc-pick-client (2.6.4-2stretch) stretch; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 18 Jun 2019 22:00:00 -0000

ros-melodic-rc-pick-client (2.6.3-2stretch) stretch; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 11 Jun 2019 22:00:00 -0000

ros-melodic-rc-pick-client (2.6.2-2stretch) stretch; urgency=high

  * add missing visualization_msgs dependency

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 10 Jun 2019 22:00:00 -0000

ros-melodic-rc-pick-client (2.6.1-2stretch) stretch; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 19 May 2019 22:00:00 -0000

ros-melodic-rc-pick-client (2.6.0-2stretch) stretch; urgency=high

  * first release

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 19 May 2019 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-rc-pick-client
Section: misc
Priority: optional
Maintainer: Felix Ruess <felix.ruess@roboception.de>
Build-Depends: debhelper (>= 9.0.0), curl, libcurl4-openssl-dev, ros-melodic-catkin, ros-melodic-dynamic-reconfigure, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-rc-common-msgs, ros-melodic-rcdiscover, ros-melodic-roscpp, ros-melodic-shape-msgs, ros-melodic-std-srvs, ros-melodic-tf, ros-melodic-tf2-geometry-msgs, ros-melodic-visualization-msgs
Homepage: http://wiki.ros.org/rc_pick_client
Standards-Version: 3.9.2

Package: ros-melodic-rc-pick-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, curl, libcurl4-openssl-dev, ros-melodic-dynamic-reconfigure, ros-melodic-geometry-msgs, ros-melodic-message-runtime, ros-melodic-rc-common-msgs, ros-melodic-rcdiscover, ros-melodic-roscpp, ros-melodic-shape-msgs, ros-melodic-std-srvs, ros-melodic-tf, ros-melodic-tf2-geometry-msgs, ros-melodic-visualization-msgs
Description: The ros client for roboception grasp generation modules

## ros-melodic-rc-pick-client 3.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 # - Standard definitions -
 
-if (CMAKE_MAJOR_VERSION VERSION_LESS "3.1.0")
+if (CMAKE_VERSION VERSION_LESS "3.1.0")
     add_definitions(-std=c++11)
 else ()
     set(CMAKE_CXX_STANDARD 11)
@@ -23,7 +23,7 @@
 # add a target for the submodule CPR doing the REST api calls
 
 find_package(catkin REQUIRED COMPONENTS
-        roscpp message_generation std_srvs geometry_msgs dynamic_reconfigure shape_msgs visualization_msgs tf
+        roscpp message_generation std_srvs geometry_msgs dynamic_reconfigure visualization_msgs tf
         rc_common_msgs tf2_geometry_msgs
   )
 
@@ -37,19 +37,14 @@
 ## Generate messages in the 'msg' folder
 add_message_files(FILES
         Box.msg
-        CellFillingLevel.msg
         CollisionDetection.msg
         Compartment.msg
-        GridSize.msg
         Item.msg
         ItemModel.msg
         LoadCarrier.msg
-        LoadCarrierWithFillingLevel.msg
         RangeBox.msg
         RangeRectangle.msg
-        RangeValue.msg
         Rectangle.msg
-        RegionOfInterest.msg
         SuctionGrasp.msg
 )
 
@@ -57,22 +52,13 @@
 add_service_files(FILES
         ComputeBoxGrasps.srv
         ComputeGrasps.srv
-        DeleteLoadCarriers.srv
-        DeleteRegionsOfInterest.srv
-        DetectFillingLevel.srv
         DetectItems.srv
-        DetectLoadCarriers.srv
-        GetLoadCarriers.srv
-        GetRegionsOfInterest.srv
-        SetLoadCarrier.srv
-        SetRegionOfInterest.srv
 )
 
 # Generate added messages and services with any dependencies listed here
 generate_messages(
         DEPENDENCIES
         geometry_msgs
-        shape_msgs
         rc_common_msgs
 
 )

=== debian/changelog ===
ros-melodic-rc-pick-client (3.3.2-1bionic) bionic; urgency=high

  * actually remove dependency on shape_msgs

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 17 Feb 2022 23:00:00 -0000

ros-melodic-rc-pick-client (3.3.1-1bionic) bionic; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 17 Feb 2022 23:00:00 -0000

ros-melodic-rc-pick-client (3.3.0-1bionic) bionic; urgency=high

  * remove load_carrier and ROI services
  * remove load_carrier parameters

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 07 Feb 2022 23:00:00 -0000

ros-melodic-rc-pick-client (3.2.4-1bionic) bionic; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 14 Nov 2021 23:00:00 -0000

ros-melodic-rc-pick-client (3.2.3-1bionic) bionic; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 02 Aug 2021 22:00:00 -0000

ros-melodic-rc-pick-client (3.2.2-1bionic) bionic; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 01 Aug 2021 22:00:00 -0000

ros-melodic-rc-pick-client (3.2.1-1bionic) bionic; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 10 Feb 2021 23:00:00 -0000

ros-melodic-rc-pick-client (3.2.0-1bionic) bionic; urgency=high

  * update cmake files for better version handling

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 27 Jan 2021 23:00:00 -0000

ros-melodic-rc-pick-client (3.1.0-1bionic) bionic; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 16 Nov 2020 23:00:00 -0000

ros-melodic-rc-pick-client (3.0.5-1bionic) bionic; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 19 Oct 2020 22:00:00 -0000

ros-melodic-rc-pick-client (3.0.4-1bionic) bionic; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 22 Sep 2020 22:00:00 -0000

ros-melodic-rc-pick-client (3.0.3-1bionic) bionic; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 21 Sep 2020 22:00:00 -0000

ros-melodic-rc-pick-client (3.0.1-1bionic) bionic; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 13 May 2020 22:00:00 -0000

ros-melodic-rc-pick-client (3.0.0-1bionic) bionic; urgency=high

  * refactoring and cleanup
  * add overfilled flag and detect_filling_level
  * cleanup/consolidate messages
  * new field collsion check added
  * update cpr for support of curl >= 7.62.0
    and set EXCLUDE_FROM_ALL to not install it
  * update nlohmann json to 3.7.3
  * Contributors: Felix Ruess, florek

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 12 May 2020 22:00:00 -0000

ros-melodic-rc-pick-client (2.7.0-1bionic) bionic; urgency=high

  * add BoxPick client rc_boxpick_client_node
  * add device parameter that can take serial number or GEV name
    (has precedence over old host parameter)

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 18 Jul 2019 22:00:00 -0000

ros-melodic-rc-pick-client (2.6.4-1bionic) bionic; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 18 Jun 2019 22:00:00 -0000

ros-melodic-rc-pick-client (2.6.3-1bionic) bionic; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 11 Jun 2019 22:00:00 -0000

ros-melodic-rc-pick-client (2.6.2-1bionic) bionic; urgency=high

  * add missing visualization_msgs dependency

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 10 Jun 2019 22:00:00 -0000

ros-melodic-rc-pick-client (2.6.1-1bionic) bionic; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 19 May 2019 22:00:00 -0000

ros-melodic-rc-pick-client (2.6.0-1bionic) bionic; urgency=high

  * first release

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 19 May 2019 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-rc-pick-client
Section: misc
Priority: optional
Maintainer: Felix Ruess <felix.ruess@roboception.de>
Build-Depends: debhelper (>= 9.0.0), curl, libcurl4-openssl-dev, ros-melodic-catkin, ros-melodic-dynamic-reconfigure, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-rc-common-msgs, ros-melodic-rcdiscover, ros-melodic-roscpp, ros-melodic-std-srvs, ros-melodic-tf, ros-melodic-tf2-geometry-msgs, ros-melodic-visualization-msgs
Homepage: http://wiki.ros.org/rc_pick_client
Standards-Version: 3.9.2

Package: ros-melodic-rc-pick-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, curl, libcurl4-openssl-dev, ros-melodic-dynamic-reconfigure, ros-melodic-geometry-msgs, ros-melodic-message-runtime, ros-melodic-rc-common-msgs, ros-melodic-rcdiscover, ros-melodic-roscpp, ros-melodic-std-srvs, ros-melodic-tf, ros-melodic-tf2-geometry-msgs, ros-melodic-visualization-msgs
Description: The ros client for roboception grasp generation modules

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rc-pick-client//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
